> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Customer Subscriptions Price

> Update a customer subscription to pause it.



## OpenAPI

````yaml swagger-001.json PUT /v1/customers/{Customer}/subscriptions/{Subscription}
openapi: 3.0.4
info:
  title: Ecrypt API
  description: Ecrypt API
  termsOfService: https://ecrypt.com
  contact:
    name: Dev Support
    url: https://developer.ecrypt.com
    email: devsupport@ecrypt.com
  version: v1
servers:
  - url: https://api.ecrypt.com
    description: Live
security:
  - x-api-key: []
paths:
  /v1/customers/{Customer}/subscriptions/{Subscription}:
    put:
      tags:
        - Customers Subscription
      summary: Modify Customer Subscriptions Price
      description: Update a customer subscription to pause it.
      parameters:
        - name: Customer
          in: path
          description: "`Customer` is the Ecrypt customer identifier.\r\n\r\nExample: 00000000-0000-0000-0000-000000000000"
          required: true
          schema:
            maxLength: 64
            minLength: 8
            pattern: ^[0-9A-Za-z-]*$
            type: string
            default: 00000000-0000-0000-0000-000000000000
          example: 00000000-0000-0000-0000-000000000000
        - name: Subscription
          in: path
          description: "`Subscription` is the Ecrypt Subscription identifier.\r\n\r\nExample: 00000000-0000-0000-0000-000000000000"
          required: true
          schema:
            maxLength: 64
            minLength: 8
            pattern: ^[0-9A-Za-z-]*$
            type: string
            default: 00000000-0000-0000-0000-000000000000
          example: 00000000-0000-0000-0000-000000000000
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionModifyRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionModifyRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionModifyRequest
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionModifyRequest:
      type: object
      properties:
        amount:
          $ref: >-
            #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.SubscriptionAmount
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        requestId:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Customers.SubscriptionAmount:
      required:
        - total
      type: object
      properties:
        tax:
          maximum: 999999999.99
          minimum: 0
          type: number
          format: decimal
          nullable: true
        surcharge:
          maximum: 999999999.99
          minimum: 0
          type: number
          format: decimal
          nullable: true
        subtotal:
          maximum: 999999999.99
          minimum: 0
          type: number
          format: decimal
          nullable: true
        total:
          maximum: 999999999.99
          minimum: 0
          type: number
          format: decimal
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
        message: {}
      additionalProperties: false
      nullable: true
  securitySchemes:
    x-api-key:
      type: apiKey
      description: Authorization by x-api-key inside request's header
      name: x-api-key
      in: header

````